Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea
[Groovy] Class IdeaPlugin

    java.lang.Object
      org.gradle.plugins.ide.internal.IdePlugin
          org.gradle.plugins.ide.idea.IdeaPlugin

    class IdeaPlugin
    extends org.gradle.plugins.ide.internal.IdePlugin

Authors:
  Hans Dockter Adds an IdeaModule task. When applied to a root project, also adds an IdeaProject task. For projects that have the Java plugin applied, the tasks receive additional Java-specific configuration.

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin
__timeStamp, __timeStamp__239_neverHappen1302239242316

Property Summary
`IdeaModel` | `model`

Method Summary
`protected java.lang.String` | `getLifecycleTaskName()`
`protected void` | `onApply(Project project)`

Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin
org.gradle.plugins.ide.internal.IdePlugin#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#getProperty(java.lang.String), org.gradle.plugins.ide.internal.IdePlugin#getMetaClass(), org.gradle.plugins.ide.internal.IdePlugin#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.IdePlugin#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#__, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#apply(org.gradle.api.Project), org.gradle.plugins.ide.internal.IdePlugin#apply(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(org.gradle.api.Task), org.gradle.plugins.ide.internal.IdePlugin#getLifecycleTask(), org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#hashCode(), org.gradle.plugins.ide.internal.IdePlugin#getClass(), org.gradle.plugins.ide.internal.IdePlugin#wait(long), org.gradle.plugins.ide.internal.IdePlugin#wait(long, int), org.gradle.plugins.ide.internal.IdePlugin#wait(), org.gradle.plugins.ide.internal.IdePlugin#equals(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#notify(), org.gradle.plugins.ide.internal.IdePlugin#notifyAll(), org.gradle.plugins.ide.internal.IdePlugin#toString()

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### model

    IdeaModel model

Method Detail

### getLifecycleTaskName

    @Override
    protected java.lang.String getLifecycleTaskName()

### onApply

    @Override
    protected void onApply(Project project)

Groovy Documentation